# ChannelPostMediaGroupUpdate - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.update.MediaGroupUpdates / ChannelPostMediaGroupUpdate

# ChannelPostMediaGroupUpdate

(common) `data class ChannelPostMediaGroupUpdate : SentMediaGroupUpdate` (source)

### Constructors

(common)

#### <init>

`ChannelPostMediaGroupUpdate(origins: List<BaseMessageUpdate>)`

### Properties

(common)

#### data

`val data: List<MediaGroupMessage>`

(common)

#### origins

`val origins: List<BaseMessageUpdate>`

(common)

#### updateId

`val updateId: UpdateIdentifier`